# $Id$
# Authority: ????
# Name: Jeremie Lorente

Summary: Add-on to block P2P protocols
Name: smeserver-ipp2p
Version: 1.0
Release: 2%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-ipp2p-1.0-adjust.patch
BuildArch: noarch
Requires: e-smith-packetfilter >= 1.16.0
Requires: ipp2p, kmod-ipp2p, kmod-ipp2p-smp
BuildRequires: e-smith-devtools
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
AutoReq: no

%description
This module installs the configuration db and template fragment
for ipp2p.

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Tue Jan 09 2007 Shad L. Lords <slords@mail.com> 1.0-2
- Add adjust fragment so remoteaccess-update works

* Tue Jan 09 2007 Shad L. Lords <slords@mail.com> 1.0-1
- Intitial release

%prep
%setup
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
